cordova.define("nl.petergoes.rotatemanager.RotateManager", function(require, exports, module) { var exec = require('cordova/exec');

/**
 * @constructor
 */
function RotateManager() {
	return {

		/**
		 * Enable portrait and landscape orientations
		 *
		 * @param {Function} success The function to call when the execution is successfull
		 * @param {Function} error The function to call when the execution failed
		*/
		enableRotation: function(success, error) {
			exec(success, error, "RotateManager", 'enableRotation', [] );
		},

		/**
		 * Limit orientation to portrait
		 *
		 * @param {Function} success The function to call when the execution is successfull
		 * @param {Function} error The function to call when the execution failed
		*/
		lockPortrait: function(success, error) {
			exec(success, error, "RotateManager", 'lockPortrait', [] );
		},

		/**
		 * Limit orientation to landscape
		 *
		 * @param {Function} success The function to call when the execution is successfull
		 * @param {Function} error The function to call when the execution failed
		*/
		lockLandscape: function(success, error) {
			exec(success, error, "RotateManager", 'lockLandscape', [] );
		}
	};
}

module.exports = new RotateManager();
});
